/* ------------------------------------ Variables ---------------------------------- */

:root {
  --manga-4: #655f67;
  --manga-2: #efedef;
  --void-2: #0f0913;
  --bavarian-blue-3: #14586b;
  --bavarian-blue-4: #0d3640;

  --font-small: 20px;
  --font-normal: 24px;
  --font-large: 32px;
  --font-xl: 70px;
  --font-button: 24px;
  --font-cta: 24px;

  --font-small-m: 12px;
  --font-normal-m: 12px;
  --font-large-m: 14px;
  --font-xl-m: 24px;

  --font-button-m: 20px;
  --font-cta-m: 16px;

  --weight-regular: 400;
  --weight-medium: 600;
  --weight-bold: 700;
  --weight-extra-bold: 800;

  --padding-large: 64px;
  --padding-small: 32px 12px;

  --margin-large: 64px;
  --margin-small: 24px 12px;
}

/* ------------------------------------ Global Classes ---------------------------------- */

* {
  font-family: JetBrains Mono;
  margin: 0;
  padding: 0;
}

body {
  margin: 0;
  padding: 0 64px;
  color: black;
  background-color: white;
}

h1 {
  font-size: var(--font-xl);
  font-weight: var(--weight-bold);
  margin: 0;
}

h2 {
  font-size: var(--font-large);
  font-weight: var(--weight-medium);
  margin: 0;
}

h3 {
  font-size: var(--font-normal);
  font-weight: var(--weight-medium);
  margin: 0;
  margin-bottom: 24px;
}

.font-card {
  font-size: var(--font-normal);
  font-weight: var(--weight-regular);
  line-height: 24px;
}

input,
select,
textarea,
.custom-checkbox {
  font-size: var(--font-small);
}

input::placeholder {
  font-size: var(--font-small);
  font-weight: var(--weight-regular);
  color: var(--manga-4);
  margin: 0;
}

.font-cta {
  font-size: var(--font-cta);
  font-weight: var(--weight-extra-bold);
}

.font-button {
  font-size: var(--font-button);
  font-weight: var(--weight-medium);
  color: var(--void-2);
}

.custom-input {
  padding: 9px 24px;
  border-radius: 4px;
  background: linear-gradient(white, white) padding-box,
    linear-gradient(to left top, #79c3c6, #e25b4e) border-box;
  border: 3px solid transparent;
}

/* ------------------------------------ NavBar ---------------------------------- */

nav {
  display: flex;
  justify-content: space-between;
  padding: 32px 32px 0px;
}

nav .logo {
  width: 262px;
  height: 64px;
}

nav .buttons {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 64px;
}

nav .buttons a {
  text-decoration: none;
}

nav .buttons a.underline {
  text-decoration: underline;
  text-underline-offset: 8px;
}

nav .filler {
  width: 262px;
}

/* ------------------------------------ Main ---------------------------------- */

main {
  display: flex;
  align-self: center;
  margin: 64px auto;
  padding: 64px;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  border-radius: 80px;
  background: linear-gradient(white, white) padding-box,
    linear-gradient(135deg, #e25b4e, #79c3c6) border-box;
  border: 4px solid transparent;
  max-width: 1049px;
}

/* ------------------------------------ Top Container ---------------------------------- */

.top-container {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.top-container .title {
  margin-bottom: 32px;
}

.top-container .description {
  margin-bottom: 90px;
}

/* ------------------------------------ Bottom Container ---------------------------------- */

.bottom-container {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 64px;
}

form {
  display: flex;
  flex-direction: column;
  gap: 64px;
}

.bottom-container .form-line {
  display: flex;
  column-gap: 24px;
  width: 100%;
}

.bottom-container .form-line .form-field {
  display: flex;
  flex-direction: column;
  width: calc((100% - 24px) / 2);
}

.bottom-container .form-line .form-field h3 span {
  font-size: 12px;
  vertical-align: super;
}

/* ------------------------------------ Dropdown ---------------------------------- */

.bottom-container .form-line .form-field select {
  cursor: pointer;
}

.bottom-container .form-line .form-field select.custom-select option {
  background-color: var(--manga-2);
  color: var(--void-2);
}

/* ------------------------------------ Text Area ---------------------------------- */

.bottom-container .form-line .form-field textarea {
  min-height: 50px;
  resize: vertical;
}

.bottom-container .form-line .form-field.full-width {
  width: 100%;
}

/* ------------------------------------ Checkbox ---------------------------------- */

.bottom-container .form-line .form-field .checkbox-container {
  display: flex;
  flex-wrap: wrap;
  column-gap: 24px;
  row-gap: 24px;
}

.bottom-container .form-line .form-field .checkbox-container .custom-checkbox {
  height: 25px;
  width: calc((100% - 24px) / 2);
}

.bottom-container
  .form-line
  .form-field
  .checkbox-container
  .custom-checkbox
  label {
  display: block;
  position: relative;
  width: fit-content;
  padding-left: 45px;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Hide the browser's default checkbox */
.bottom-container
  .form-line
  .form-field
  .checkbox-container
  .custom-checkbox
  label
  input {
  position: absolute;
  opacity: 0;
  height: 0;
  width: 0;
}

/* Create a custom checkbox */
.checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 25px;
  width: 25px;
  border-radius: 4px;
  background: linear-gradient(white, white) padding-box,
    linear-gradient(to left top, #79c3c6, #e25b4e) border-box;
  border: 3px solid transparent;
}

/* When the checkbox is checked, add a blue background */
.bottom-container
  .form-line
  .form-field
  .checkbox-container
  .custom-checkbox
  label
  input:checked
  ~ .checkmark {
  background: linear-gradient(to left top, #79c3c6, #e25b4e) padding-box,
    linear-gradient(to left top, #79c3c6, #e25b4e) border-box;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.bottom-container
  .form-line
  .form-field
  .checkbox-container
  .custom-checkbox
  label
  input:checked
  ~ .checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.bottom-container
  .form-line
  .form-field
  .checkbox-container
  .custom-checkbox
  label
  .checkmark:after {
  left: 6px;
  top: -1px;
  width: 9px;
  height: 17px;
  border: solid white;
  border-width: 0 3.5px 3.5px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

/* ------------------------------------ Submit Button ---------------------------------- */

.bottom-container .form-line.button {
  justify-content: flex-end;
}

.bottom-container .form-line.button input {
  /* font-size: 24px; */
  width: 230px;
  height: 56px;
  background: var(--bavarian-blue-4);
  color: white;
  cursor: pointer;
  border-radius: 4px;
}

.bottom-container .form-line.button input:hover {
  background: var(--bavarian-blue-3);
}

/* ------------------------------------ Participant Card ---------------------------------- */

.bottom-container .card {
  padding: 32px 24px;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  gap: 24px;
  border-radius: 40px;
  background: linear-gradient(white, white) padding-box,
    linear-gradient(to left top, #79c3c6, #e25b4e) border-box;
  border: 3px solid transparent;
}

/* ================================================= MOBILE ================================================ */

@media (max-width: 1120px) {
  /* ------------------------------------ Global Classes ---------------------------------- */

  body {
    padding: 0 12px;
  }

  h1 {
    font-size: var(--font-xl-m);
  }

  h2 {
    font-size: var(--font-large-m);
  }

  h3 {
    font-size: var(--font-normal-m);
    margin-bottom: 12px;
  }

  input,
  select,
  textarea,
  .custom-checkbox {
    font-size: var(--font-small-m);
  }

  input::placeholder {
    font-size: var(--font-small-m);
  }

  .font-card {
    font-size: var(--font-large-m);
  }

  .font-cta {
    font-size: var(--font-cta-m);
  }

  .font-button {
    font-size: var(--font-button-m);
  }

  /* ------------------------------------ NavBar ---------------------------------- */

  nav {
    flex-direction: column;
    align-items: center;
  }

  nav .buttons {
    gap: 24px;
  }

  /* ------------------------------------ Main ---------------------------------- */

  main {
    margin: 24px auto;
    padding: 32px 12px;
    border-radius: 40px;
  }

  /* ------------------------------------ Top Container ---------------------------------- */

  .top-container .title {
    margin-bottom: 12px;
  }

  .top-container .description {
    margin-bottom: 40px;
  }

  /* ------------------------------------ Bottom Container ---------------------------------- */

  .bottom-container {
    gap: 32px;
  }

  form {
    gap: 24px;
  }

  .bottom-container .form-line {
    flex-direction: column;
    row-gap: 24px;
  }

  .bottom-container .form-line .form-field {
    width: 100%;
  }

  /* ------------------------------------ Checkbox ---------------------------------- */

  .checkbox-container {
    margin-top: 12px;
  }

  .checkmark {
    height: 18px;
    width: 18px;
  }

  .bottom-container
    .form-line
    .form-field
    .checkbox-container
    .custom-checkbox
    label {
    padding-left: 30px;
    line-height: 24px;
  }

  .bottom-container
    .form-line
    .form-field
    .checkbox-container
    .custom-checkbox
    label
    .checkmark:after {
    left: 4px;
    top: -2px;
    width: 7px;
    height: 13px;
    border-width: 0 3px 3px 0;
  }

  /* ------------------------------------ Submit Button ---------------------------------- */

  .bottom-container .form-line.button {
    margin-top: 16px;
  }

  .bottom-container .form-line.button input {
    align-self: center;
    height: 45px;
  }
}
